#ifndef _FILTER_H_
#define _FILTER_H_

#include <netinet/ip6.h>

#define BUFSIZE			2048
#define DNS_PORT		53
#define HTTPS_PORT		443
#define MAC_LEN			18
#define MAX_LEN_WEEKDAY		10
#define MAX_SEC			86400
#define MAX_DAYS		7
#define MAX_SIZE		256U
#define CHECK_GLOBAL_URL_LIST	-1
#define URL_SUCCESS             1
#define MAX_IP_LEN              32
#define MAX_IPV6_LEN            40

extern size_t dns_server_cnt;
extern char **dns_server_ip;

typedef enum {
	PKT_ACCEPT,
	PKT_DROP
} pkt_decision_enum;

typedef struct time_details {
	bool is_next_day;
	unsigned int current_time;
	unsigned int start_time;
	unsigned int end_time;
	unsigned int next_day_end_time;
} time_info;

char *get_domain_name(char data[]);
unsigned int ipv6_header_get_L4_header_offset(const struct ip6_hdr *ip6h_p, uint8_t *nextHdr_p);
#endif
